> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/compliance/update-aml-configuration",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Update AML Configuration

> Updates bypass screening, inbound delay, or outbound delay configurations for AML.



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml put /screening/aml/policy_configuration
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /screening/aml/policy_configuration:
    put:
      tags:
        - Compliance
      summary: Update AML Configuration
      description: >-
        Updates bypass screening, inbound delay, or outbound delay
        configurations for AML.
      operationId: updateAmlScreeningConfiguration
      parameters:
        - $ref: '#/components/parameters/X-Idempotency-Key'
      responses:
        '200':
          description: Configuration updated successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ScreeningConfigurationsRequest'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response:
            Promise<FireblocksResponse<ScreeningConfigurationsRequest>> =
            fireblocks.compliance.updateAmlScreeningConfiguration(complianceApiUpdateAmlScreeningConfigurationRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<ScreeningConfigurationsRequest>>
            response =
            fireblocks.compliance().updateAmlScreeningConfiguration(idempotencyKey);
        - lang: Python
          source: >-
            response =
            fireblocks.compliance.update_aml_screening_configuration(idempotency_key);
components:
  parameters:
    X-Idempotency-Key:
      name: Idempotency-Key
      in: header
      description: >-
        A unique identifier for the request. If the request is sent multiple
        times with the same idempotency key, the server will return the same
        response as the first request. The idempotency key is valid for 24
        hours.
      required: false
      schema:
        type: string
  schemas:
    ScreeningConfigurationsRequest:
      type: object
      properties:
        bypassScreeningDuringServiceOutages:
          type: boolean
          description: Flag to enable or disable bypass screening during service outages.
        inboundTransactionDelay:
          type: number
          description: Inbound transaction delay in seconds.
        outboundTransactionDelay:
          type: number
          description: Outbound transaction delay in seconds.

````